.steps__body-inner {
    position: sticky;
    top: 100px;
    z-index: 10; /* If needed */
}

.steps__row {
    display: flex;
}

.steps__body img{
	border-radius:6px;
}

.steps__subtitle {
    background: #FFFFFF;
}

.steps__title h2{
    margin: 0;
}

.steps__steps {
    display: flex;
    flex-direction: column;
}

.steps__item {
    display: flex;
}

.steps__item-number {
    border: 1px solid #A36349;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.steps__item-number-inner {
    border: 1px solid var(--color-blue);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-blue);
    font-weight: 600;
}


.steps__item-text {
    font-size: 16px;
}

.about-us-variation .steps__item-number-inner{
    font-size: 0;
}

.about-us-variation .steps__subtitle {
    background: rgba(180, 105, 75, 0.05);
}

@media screen and (min-width: 992px) {
    .steps__row {
        gap: 30px;
    }

    .steps__body {
        flex-basis: 540px;
    }

    .steps__scroll {
        flex-basis: 600px;
    }

    .steps__title {
        margin-bottom: 20px;
    }

    .steps__steps {
        padding-left: 40px;
        gap: 60px;
    }


    .steps__item {
        gap: 40px;
    }

    .steps__item-number {
        width: 45px;
        height: 45px;
        margin-top: 5px;
    }

    .steps__item-number-inner {
        width: 28px;
        height: 28px;
        font-size: 20px;
    }

    .steps__item-title {
        margin-bottom: 12px;
    }
}

@media screen and (max-width: 991.98px) {
    .steps__row {
        gap: 20px;
        flex-direction: column;
    }

    .steps__title {
        margin-bottom: 18px;
    }

    .steps__steps {
        gap: 28px;
    }

    .steps__item {
        gap: 14px;
        flex-direction: column;
    }

    .steps__item-number {
        width: 39px;
        height: 39px;
    }

    .steps__item-number-inner {
        font-size: 17px;
        width: 23px;
        height: 23px;
    }

    .steps__item-title {
        margin-bottom: 10px;
    }

    .steps__item-text {
        font-size: 15px;
    }
}


.steps__progress {
    position: relative;
    min-height: 100%;
    width: 4px;
    background-color: white;
    flex-shrink: 0;
    overflow: hidden;
    border-radius: 100px;
}

.steps__progress-inner {
    position: absolute;
    width: 100%;
    height: 0; /* Початкова висота */
    background-color: #000000;
    transition: height 0.2s ease;
    border-radius: 100px;
}


